<template>
  <div class="rights">
    <div class="brea-wrp">
      <el-breadcrumb separator-class="el-icon-arrow-right">
        <el-breadcrumb-item :to="{ path: '/' }">首页</el-breadcrumb-item>
        <el-breadcrumb-item>权限管理</el-breadcrumb-item>
        <el-breadcrumb-item>权限列表</el-breadcrumb-item>
      </el-breadcrumb>
    </div>

     <el-table
    :data=" tableDataList"
    border
    
    style="width: 100%"
     max-height="500">
    <el-table-column
      type="index"
      width="50">
    </el-table-column>
    <el-table-column
      prop="authName"
      label="权限名称"
      width="180">
    </el-table-column>
    <el-table-column
      prop="path"
      label="路径"
      width="180">
    </el-table-column>
    <el-table-column
      prop="level"
      label="层级">
      <template slot-scope="scope">
        <span v-if="scope.row.level==0">一级</span>
        <span v-else-if="scope.row.level==1">二级</span>
        <span v-else>三级</span>
      </template>
    </el-table-column>
  </el-table>
  </div>
</template>

<script>

import { gain } from "@/http/api";
export default {
 data(){
   return {
     tableDataList:[]
   }
 },
 methods:{
    gain(){
       gain(true).then(res=>{
this. tableDataList=res.data
       })
    }
 },
 created(){
   this.gain()
 }
};
</script>

<style scoped>
.rights {
  padding: 15px;
  border-radius: 10px;
}
.brea-wrp {
  margin-bottom: 20px;
}
</style>